/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model169
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model169 {
  @SerializedName("label")
  private String label = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("limits")
  private Model168 limits = null;

  @SerializedName("exclusions")
  private Exclusions exclusions = null;

  @SerializedName("benefits")
  private Benefits benefits = null;

  public Model169 label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label.
   * @return label
  **/
  @ApiModelProperty(required = true, value = "Label.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public Model169 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description.
   * @return description
  **/
  @ApiModelProperty(value = "Description.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Model169 limits(Model168 limits) {
    this.limits = limits;
    return this;
  }

   /**
   * Get limits
   * @return limits
  **/
  @ApiModelProperty(value = "")
  public Model168 getLimits() {
    return limits;
  }

  public void setLimits(Model168 limits) {
    this.limits = limits;
  }

  public Model169 exclusions(Exclusions exclusions) {
    this.exclusions = exclusions;
    return this;
  }

   /**
   * Get exclusions
   * @return exclusions
  **/
  @ApiModelProperty(value = "")
  public Exclusions getExclusions() {
    return exclusions;
  }

  public void setExclusions(Exclusions exclusions) {
    this.exclusions = exclusions;
  }

  public Model169 benefits(Benefits benefits) {
    this.benefits = benefits;
    return this;
  }

   /**
   * Get benefits
   * @return benefits
  **/
  @ApiModelProperty(value = "")
  public Benefits getBenefits() {
    return benefits;
  }

  public void setBenefits(Benefits benefits) {
    this.benefits = benefits;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model169 model169 = (Model169) o;
    return Objects.equals(this.label, model169.label) &&
        Objects.equals(this.description, model169.description) &&
        Objects.equals(this.limits, model169.limits) &&
        Objects.equals(this.exclusions, model169.exclusions) &&
        Objects.equals(this.benefits, model169.benefits);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, description, limits, exclusions, benefits);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model169 {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    limits: ").append(toIndentedString(limits)).append("\n");
    sb.append("    exclusions: ").append(toIndentedString(exclusions)).append("\n");
    sb.append("    benefits: ").append(toIndentedString(benefits)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

